Page MenuHome

Retopology in Blender
Confirmed, NormalPublicDESIGN

Assigned To
None
Authored By
William Reynish (billreynish)
Jul 31 2019, 2:07 PM
Tokens
"Love" token, awarded by Thane5."Love" token, awarded by CreatorSiSo."Love" token, awarded by Harshk7."Like" token, awarded by bestelix."Orange Medal" token, awarded by kursadk."Love" token, awarded by Biaru."Like" token, awarded by IPv6."Love" token, awarded by thromshall."Love" token, awarded by hitrpr."Burninate" token, awarded by Rasta."Love" token, awarded by dlc17."Love" token, awarded by ILJI."Love" token, awarded by 14AUDDIN."Love" token, awarded by Krayzmond."Love" token, awarded by christianclavet."Burninate" token, awarded by Alumx."Love" token, awarded by R2792."Love" token, awarded by crazyWikka."Love" token, awarded by gwobbler."Love" token, awarded by tilapiatsu."Love" token, awarded by brilliant_ape."Love" token, awarded by dpdp."Burninate" token, awarded by MetinSeven."Like" token, awarded by Fracture128."Like" token, awarded by knightknight."Love" token, awarded by S_Jockey."Like" token, awarded by iWaraxe."Love" token, awarded by Brandon777."Love" token, awarded by mauriciomarinho."Love" token, awarded by sineo."Love" token, awarded by Shimoon."Love" token, awarded by bnzs."Love" token, awarded by fiendish55."Burninate" token, awarded by hjrabi."Love" token, awarded by runswithfork."Love" token, awarded by sakana3."Love" token, awarded by Draise."Love" token, awarded by helloidonthaveanyideaformyusername."Love" token, awarded by VertexPainter."Love" token, awarded by aliasguru."Love" token, awarded by Frozen_Death_Knight."Love" token, awarded by A.Lex_3D."Love" token, awarded by michaelknubben."Love" token, awarded by FaisselB."Love" token, awarded by johnsyed."Like" token, awarded by belich."Love" token, awarded by lcs_cavalheiro."Love" token, awarded by Tonatiuh."Love" token, awarded by koloved."Love" token, awarded by TheFlow."Like" token, awarded by Jaydead."Love" token, awarded by ixd."Love" token, awarded by erickblender."Love" token, awarded by EitanSomething."Like" token, awarded by mendio."Love" token, awarded by 0o00o0oo."Love" token, awarded by Jules."Like" token, awarded by amonpaike."Love" token, awarded by Zino."Love" token, awarded by Alrob."Love" token, awarded by xrg.

Description

In Blender’s overall workflow, which includes modeling, sculpting and animation, a major missing piece is retopology.


No Retopology?

As part of the overall focus of sculpting improvements, this is an area we should address.

After talking to @Pablo Dobarro (pablodp606), we agreed to set up this document to help define how we should approach this from a UI and workflow perspective.

Issues

Display

One of the major issues currently, is that we have no great built-in way to display your retopology mesh on top of a high res sculpt.

By default, your mesh will intersect with the high res sculpt:

You can enable In Front, but that makes the *whole* retopo mesh display on top of the reference, also the parts that should be occluded:

Not only is it confusing to set it up, but the result is sub-par.

What we really want is something more like this:


The occlusion is correct and the faces aren't intersecting. The retopology mesh is half transparent so you can see the underlying detail.

Snapping

There are a few issues with snapping:

  • You have to enable some very specific settings that are not obvious
  • There's no way to only snap to a certain object or Collection - you can easily accidentally snap to an item somewhere in the background
  • Snapping is only active while you are using any of the transform tools. If you for eg subdivide an edge, those edges aren't snapped to the source. Users then have to select those items and move them a bit to snap
  • Some users use the Shrink-wrap modifier, but this has issues with the mesh is too far away from the source - the projection becomes unpredictable
Tools

Compared to more dedicated solutions for retopology, Blender is lacking many basics. Things like drawing a 'strip' of quads, or defining a patch of quads. Or tools to automatically handle appendages just by drawing lines along it. Or even just a basic tool for 'drawing' topology onto the source mesh, which is then auto-filled with quads.

Setup

To get started with retopology in Blender, so many settings and display options have to be toggled and set by the user, that there exists entire tutorials on how to do this. The needed steps and settings are not only non-obvious, but also take time and focus away from the task at hand.


Solutions

Display

Add a Retopology overlay display option, replacing the current Hidden Wire Edit mode display

Snapping

Add a Retopology snapping option, which allows snapping to self while also projecting onto source, and snaps the current selection.

Tools

We can start by improving certain tools, such as Poly Build, and also add more edit mode tools. Even though they may be more constrained inside Edit Mode, we can try to use this as a test-case for more advanced gizmos and tools in general

Other examples of the kinds of tools we could add are things like:

A tool that lets users define a patch with handles, which is automatically filled with quads:

A tool that would let users draw a line, which then becomes a strip of evenly sized quads

A tool that would allow users to nudge around points with falloff, like a brush:

Addons

We probably don’t expect to provide a full and comprehensive set of retopology tools, at least initially. For this reason, addon developers could provide extra tools that integrate with the toolbar and tool system.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@William Reynish (billreynish)
Some more notes:

Display
I tried out the retopology overlay (T70267) and it's already a great improvement but I feel like there's something missing for the workflow.
While in Edit Mode with this new overlay it's effortless to see and work on the topology but a common thing I to do in the retopo workflow is to compare the topology with a subdivided, smooth shaded result, possibly with additional modifiers to test the behaviour while retopologizing.
This is commonly done by switching in & out of Edit Mode and having all modifiers visible only in Object Mode.
But since the objects would intersect in object mode it's currently necessary to set the retopo object to be "In Front", which we don't want anymore.

I suggest to add another overlay or shading toggle for Object Mode that will show the retopology object in front of other objects, with the same depth rendering that T70267 does (just without the face color & wireframes to see the final result properly).
This could be context based on selected objects? @William Reynish (billreynish) What do you think?

Tools
The brush-like Tool is one of the most important additions IMO since it removes Sculpt Mode from the Retopo workflow.
Another addition to the design could be a second brush-like tool that functions like the new "Topology Tool" in Sculpt Mode (D6059).
This Tool has quickly become an essential part in my modeling/retopo workflows.

Plz don't make it too complicated with too many Tools, just a few that work well with the combination of modifier keys, so the workflow is easy and streamlined.
if you add too many options it will break the flow when doing retopolog and slows the process alot.

Plz don't make it too complicated with too many Tools, just a few that work well with the combination of modifier keys, so the workflow is easy and streamlined.
if you add too many options it will break the flow when doing retopolog and slows the process alot.

Seems, you are asking for proper workflow design.
Not sure if it is possible.

Proper workflow design means, that there should be a hard test example to evaluate performance of a process (its simplicity, speed, reliability, endurance) with final result.
Well, speaking of manual retopology and organic modeling, conditions are basically known.

Modeling - 100% quads based surface, variable mesh density, single reference, simplest toolset - less than 3 hours for such kind of a model (raw footage).
Image reference - Pearwlorks CE-137a
Workflow test result:
https://youtu.be/Tsaa_D6CcSo

Retopology - 100% quads based surface, variable mesh density, single reference, simplest toolset, maximum details preservation - less than 8 hours.
Free base mesh for test purposes can be downloaded here or here.
Workflow test result:
https://youtu.be/Y74HmBnydSA

The problem is that to make retopology fast, user need to know topology rules.
That means, he should know how to apply basic topology schemes, so it is more about skills than tools.


In addition, there are many influential factors. Even clunky LMB selection can sufficiently reduce retopology speed more, than any kind of tool.
Most tools have never been tested under extreme conditions, that's why it is impossible to find hard tests of concepts like retopoflow, polyquilt, poly buld, maya quad draw related tools, and other handy looking concepts.
Maya quad draw and Topogun tests also shows poor perfomance results (like 4 hours for uniform density croc mesh)

It is too hard to make such tests, it takes just years to figure out the best way, and the bar is too high, so I am not sure that someone can poissibly handle that kind of workflow design task.
So I believe that the common steps, like edit mode topology relaxing brush/methods, reprojection of the retopo surface onto the base mesh methods and enhancing shading modes will bring the most effective predictable result.

Aryan (AryanBro) rescinded a token.
Aryan (AryanBro) rescinded a token.
xan2622 (xan2622) added a comment.EditedMay 9 2020, 1:40 AM

On one hand, it would have made sense to add a workspace dedicated to Retopology, because since version 2.80, Blender has been having many workspace tabs (at the top), one for each step of the 3D creation (Modeling, Sculpting, UV editing, Texture Painting, Shading..) and Retopology is part of it. That being said, consistently switching between a "Retopology" tab to the "Modeling" tab would be time consuming and counter-productive (I am glad that it has been decided to integrate the retopology tools into the Edit mode).


I have tested RetopoFlow 3 beta 2. (Github, Twitter, Installation instructions)
It has many great features (and devs are working hard to make it better) but the way its UI is obfuscating the rest of the Blender UI is very annoying.
You can read my other "grievances" about its interface and why I think it restricts the "freedom of edition": https://github.com/CGCookie/retopoflow/issues/810


There's another great add-on that worths it being tried: Poly Quilt. (Github, Twitter, BlenderArtists forum)
Once it is installed, go to the Add-on Preferences, Extra Settings, Select the "Future" branch, Check for updates, Update, Save Blender preferences and Restart Blender)
It's a very interesting add-on because it allows to perform many actions with just one tool. I like the feature that allows to create a sequence of quads by dragging an edge.


Here are some interesting retopology features (taken from different tools or softwares) that could be an inspiration for Blender's future retopology tools:

That being said, consistently switching between a "Retopology" tab to the "Modeling" tab would be time consuming and counter-productive (I am glad that it has been decided to integrate the retopology tools into the Edit mode).

Well, yes. Retopology is just dedicated type of creating surface process - of modeling,
Expanding modeling to retopology tools expands retopology to modeling tools as well, that allow to perform complex type of modeling like partial retopology, when when details are modeled on top of the basemesh.

AFX, RetopoFlow, Bsurfaces, Polyquilt.

All those tools provide solutions for regular density meshes topology (like head retopology), but retopology is not limited to that type.
The hardest part of retopology is topology with variable density meshes.
Also, those tools have a lot of issues.

Autoretopology.

Proper Autoretopology engine is pretty much tough and separate task, it will be hard to develop something above Instant meshes or Quad Remesher

xan2622 (xan2622) added a comment.EditedJun 4 2020, 9:03 PM

These two videos show how easily it's possible to extrude edges to create faces. Notice how convenient the snapping makes it easy to stick the face to the other quads:
Twitch video clip 1

The second video also shows the creation of faces after extruding edges but also shows how to create faces after adding a vertex:
Twitch video clip 2

The ziRail Maya plugin is a bit similar to TopoGun 3 (it allows to create patch polygons along strokes, strokes that are drawn directly on the mesh):
https://youtu.be/_ehmPPQRtm0 (watch at 0.25 speed 😉 )
https://youtu.be/toCyGQ8wZK8

These two videos show how easily it's possible to extrude edges to create faces.

The problem with this approach is that it is as awkward as shown in the video.

The ziRail Maya plugin

It was done in bsurfaces as creating functionality, then we enhanced it to editing functionality in Looptools Gstretch, then it was broken since 2.8, and it was reinvented by Oscurart
https://twitter.com/Oscurart/status/1264903106581725184
But the problem with this approach is that it does not give a strong advantage over regular extrude and scale.

The problem with this approach is that it is as awkward as shown in the video.

I don't think it's awkward. At all.
IMO, to create faces one-by-one, extruding edges to create faces this way (by snapping the closest vertex to the other geometry) is efficient and simple.

Proper Autoretopology engine is pretty much tough and separate task, it will be hard to develop something above Instant meshes or Quad Remesher

It's going to be a real challenge to beat Exoside Quad Remesher algorithm, but there are some open-source GPL projects that go to the right direction:

https://github.com/huxingyi/autoremesher
https://blogs.dust3d.org/2020/06/19/auto-remesher/
https://blenderartists.org/t/pablo-dobarros-master-plan-for-sculpting-and-painting-development-news/1150731/5829

I don't think it's awkward. At all.

Yes, I know. A lot of people think that such approaches are not awkward, because it is unobvious until you start making retopology at massive scale.
Same issue with, for example, Polybuild and Polyquit tools.

That's the common problem of retopology workflows and approaches.
You have to test it hard before to say that approach is good.

The problem of the edge-oriented workflow is that edge consists from two vertices, and you have to tweak them both to get result, that leads to more tweaking.
Also, edge-oriented workflow relies on extruding, and extruding was never a problem.
So this approach solves unexisting problem.

Probably the best free addon as of now for retopology is PolyQuilt mentioned above: https://github.com/sakana3/PolyQuilt. Its functionalities are simple and effective. The only issue with it is that it does not render properly with the shrinkwrap modifier applied, but you can always use auto snapping as a workaround but still, it would have been great if it did respect shrinkwrap. But its relax-tool is the thing of beauty and something that is very useful during the retopology process and other Polyquilt tool functionalities are basically essential. I'd be glad to see something like the Polyquilt tool implemented in Blender's edit mode out of the box. It would have been perfect, to be honest.

xan2622 (xan2622) added a comment.EditedAug 19 2020, 9:26 PM

QuadWrap looks interesting too:

Click to preview GIF image:


https://blenderartists.org/t/add-on-quadwrap-retopology-tool/1241087/

QuadWrap looks interesting too:

I bought it, it is pretty much early beta.

Anyway, core development is way more about making API that allow to write such functionality, rather than making such functionality, because of wide range of possible realizations of such functionality.

I almost think this design task should be split into two different pieces manual retopology and semi-auto retopology because it's similar to asking what tools should we work on sculpting tools or modeling tools, you're just going to get a lot of noise in the chat and have no clear answer to the question.

In my daily work I do a lot of retopo. One thing that I am currently missing with the PolyBuild tool is the ability to extrude multiple edges at the same time.
In 3Ds Max there is this possibility for all edges, which point in one direction as shown on the picture here:

In my daily work I do a lot of retopo. One thing that I am currently missing with the PolyBuild tool is the ability to extrude multiple edges at the same time.
In 3Ds Max there is this possibility for all edges, which point in one direction as shown on the picture here:

This is basic Blender modeling functionality, available by default.

In my daily work I do a lot of retopo. One thing that I am currently missing with the PolyBuild tool is the ability to extrude multiple edges at the same time.
In 3Ds Max there is this possibility for all edges, which point in one direction as shown on the picture here:

This is basic Blender modeling functionality, available by default.

Yeah, but not inside the PolyBuild Tool. It would be usefull to have a shortcut that highligts more than one edge and extrudes it like it does with one edge at the moment.

Yeah, but not inside the PolyBuild Tool. It would be usefull to have a shortcut that highligts more than one edge and extrudes it like it does with one edge at the moment.

That's one of the reasons we don't use PolyBuild. actually. Because, as a concept, it provides less convenient and slower retopo workflow than regular modeling.

Yeah, but not inside the PolyBuild Tool. It would be usefull to have a shortcut that highligts more than one edge and extrudes it like it does with one edge at the moment.

That's one of the reasons we don't use PolyBuild. actually. Because, as a concept, it provides less convenient and slower retopo workflow than regular modeling.

it's true, I use the mesh:F2 add-on and basic modeling skills and it's pretty fast, way better than the clunky tool that polybuild is.

Yeah, but not inside the PolyBuild Tool. It would be usefull to have a shortcut that highligts more than one edge and extrudes it like it does with one edge at the moment.

That's one of the reasons we don't use PolyBuild. actually. Because, as a concept, it provides less convenient and slower retopo workflow than regular modeling.

Why would you do manual retopo in this day and age on something like ornaments? I mean the video is sped up and despite that the workflow looks incredibly slow. The video is sped up at least twice, possibly more, so it's at least two hours of work. Two hours for something that should take 3-5 minutes with up to date workflow. If you do it as a hobby, then it's fine probably, but if you do it for living, then it must be increasingly harder to maintain reasonably paid jobs.

it's true, I use the mesh:F2 add-on and basic modeling skills and it's pretty fast, way better than the clunky tool that polybuild is.

The point of the polybuild approach is that it supposed to be used with a single hand, which is easier to learn, but slower to perform.
It is a part of a "consistency vs relevancy and their balance" issue.

Why would you do manual retopo in this day and age on something like ornaments? I mean the video is sped up and despite that the workflow looks incredibly slow. The video is sped up at least twice, possibly more, so it's at least two hours of work. Two hours for something that should take 3-5 minutes with up to date workflow. If you do it as a hobby, then it's fine probably, but if you do it for living, then it must be increasingly harder to maintain reasonably paid jobs.

Sorry, I am not sure what exactly do you mean.
Do you want to say that you will make it faster than me with the polybuild tool?

The point of the polybuild approach is that it supposed to be used with a single hand, which is easier to learn, but slower to perform.
It is a part of a "consistency vs relevancy and their balance" issue.

Why would you do manual retopo in this day and age on something like ornaments? I mean the video is sped up and despite that the workflow looks incredibly slow. The video is sped up at least twice, possibly more, so it's at least two hours of work. Two hours for something that should take 3-5 minutes with up to date workflow. If you do it as a hobby, then it's fine probably, but if you do it for living, then it must be increasingly harder to maintain reasonably paid jobs.

Sorry, I am not sure what exactly do you mean.
Do you want to say that you will make it faster than me with the polybuild tool?

Yes. I meant just that video, not retopo in general. Retopo tools should improve, if possible, of course. But what you shown in that video seems like the exact kind of work that should be done with automatic, human assisted remeshers. Those where you just suggest a few topology lines to follow and it'll do the rest. If you do that kind of work manually these days, then you just can't be competitive on the market.

Yes. I meant just that video, not retopo in general. Retopo tools should improve, if possible, of course. But what you shown in that video seems like the exact kind of work that should be done with automatic, human assisted remeshers. Those where you just suggest a few topology lines to follow and it'll do the rest. If you do that kind of work manually these days, then you just can't be competitive on the market.

The purpose of this video was not to get a table, but workflow endurance test.
The problem is that linear workflow is not scalable - running 100 and 10,000 meters has different endurance requirements, and it is easy to be tricked here.
We are interested in workflow parameters such as loss of speed over time and errors made during exhaustion, that's why we are performing such kind of a tests, that includes videorecordings to increase the load, to find out if the approach is sustainable enough.

Of course, we do not use manual retopology for such tables, we use it for historical / architectural restoration that includes such goals like retopo textured photoscans for subd cnc, 3dprinting and visualization.
At the moment it must be done manually as it contains a common problem that has not yet been resolved - the variable density mesh retopology.
We are constantly looking for the nice approach and making different tools as well, but we haven't got anything much better since we made F2.

The result of a test is available for free, though. The link is in the description.

I just would like to see more people stop thinking of retopology as making stripes and more of making patches.
Seeing people just do a stripe with 50 quads makes me cringe, because that way you'll have a lot of trouble making sure different parts of the mesh connect cleanly due to mismatch of the number of quads.

thats the way I do, never making a stripe with more than 5 quads of length generally and thinking about patches and not squares.

I just would like to see more people stop thinking of retopology as making stripes and more of making patches.

Well, yes, until ear.
Patches workflow is suitable only for regular topology density as well.
(That's, actually, fascinating how many retopology concept demos show face retopology and stops at ears)

I just would like to see more people stop thinking of retopology as making stripes and more of making patches.

Well, yes, until ear.
Patches workflow is suitable only for regular topology density as well.
(That's, actually, fascinating how many retopology concept demos show face retopology and stops at ears)

if you know how to bend those patches and place strategically singularities, you can make some pretty dramatic density changes.

Yeah, ears are hard, but not only to retopo, they are hard in general. It took me about 2 years, to be able to sculpt halfway decent ears.

Yeah, ears are hard, but not only to retopo, they are hard in general. It took me about 2 years, to be able to sculpt halfway decent ears.

Yes, ears are hard. In short I can describe the problem of designing an irregular density retopology process as "design a modeling process that can be suitable for retopologizing a character whose surface is made up of ears".


Architectural/historical restoration tries to handle this kind of task.

Probably the best free addon as of now for retopology is PolyQuilt mentioned above: https://github.com/sakana3/PolyQuilt. Its functionalities are simple and effective. The only issue with it is that it does not render properly with the shrinkwrap modifier applied, but you can always use auto snapping as a workaround but still, it would have been great if it did respect shrinkwrap. But its relax-tool is the thing of beauty and something that is very useful during the retopology process and other Polyquilt tool functionalities are basically essential. I'd be glad to see something like the Polyquilt tool implemented in Blender's edit mode out of the box. It would have been perfect, to be honest.

yes polyquit is best blender retopo tool

yes polyquit is best blender retopo tool

Not even close. It is yet another singlehand reresentation, so it is slow.

yes polyquit is best blender retopo tool

Not even close. It is yet another singlehand reresentation, so it is slow.

Yes, I've tried many plug-ins, such as retopflow and speedretop...., but in terms of interaction and logic of operation, they are far from polyquit,Yes, I mean, this is the best manual topology tool, because In my game project, I need to use the manual topology function to make special models,Precise control of topological points

Yes, I've tried many plug-ins, such as retopflow and speedretop...., but in terms of interaction and logic of operation, they are far from polyquit.

Correct, Poluquilt is a retoplogy tool with a valid singlehand workflow design.
It is better than most of other singlehand representations.

Anyone considered a tool like this for retopology? The user has to sketch the quad layouts and the software will figure out how to fill them using a database of quad patches.
Here is the link to the software and paper if anyone wants to try it out:
https://igl.ethz.ch/projects/sketch-retopo/sketch-retopo-license.html
https://igl.ethz.ch/projects/ddq/

Anyone considered a tool like this for retopology?

Do you mean something like this?
https://youtu.be/oXLWhifSwAc

Hi! I have been using Poly Quilt a lot for retopology and made a little guide where I explain how I use it for retopology of organic characters. I really don't like RetopoFlow 3, and it would be sad if Blender will create a separate mode or decides to go the route RetopoFlow 3 did. And it would be so cool if at least the default PolyBuild tool had the same functionality as PolyQuilt in Blender. I think PolyBuild tool should have worked akin to the QuadDraw tool in Maya initially? But didn't get enough development attention due to time limitations? Here's the video on retopology if anyone is interested: https://youtu.be/QuYAa8AFRAs

Hi! I have been using Poly Quilt a lot for retopology.

Why do you use so slow method to build a geometry?
This is not the way you do retopology in Blender.
Did you ever heard about F2 addon? Everybody use it for about a decade.

Hi! I have been using Poly Quilt a lot for retopology.

Why do you use so slow method to build a geometry?
This is not the way you do retopology in Blender.
Did you ever heard about F2 addon? Everybody use it for about a decade.

I actually use f2 addon in the video, Paul...

Hi! I have been using Poly Quilt a lot for retopology.

Why do you use so slow method to build a geometry?
This is not the way you do retopology in Blender.
Did you ever heard about F2 addon? Everybody use it for about a decade.

Why are you so triggered, you clearly didn't watch the video, Paul. I'm acquainted with your work and your workflow, in the video I wanted to bring the attention of beginners to PolyQuilt addon functionality, as I found it to be very helpful last year while using it in production, what's with this lashing out?

Why are you so triggered, you clearly didn't watch the video, Paul.

I am triggered because I develop the most effective manual retopology workflow in Blender for a very long time. If we will make retopology like you shown in your video, it will take an eternity to finish our projects.
Just look at 6:26 sample.
You don't have to select all 4 vertices since 2015 or earlier.
Just look at 18:07 sample.
You extrude an edge, and the tweak its both vertices every time?
Just look at 18:30 sample.
Create a vertex - point to the vertex - tweak a vertex - point to another vertex.
Can you explain what are possible reasons behind so many garbage actions?

Please stop promoting PolyQuilt, it was an interesting concept to play around, with lots of WOW highlightings and stuff, but in practice it is less effective in retopology even than regular modeling.

Why are you so triggered, you clearly didn't watch the video, Paul.

I am triggered because I develop the most effective manual retopology workflow in Blender for a very long time. If we will make retopology like you shown in your video, it will take an eternity to finish our projects.
Just look at 6:26 sample.
You don't have to select all 4 vertices since 2015 or earlier.
Just look at 18:07 sample.
You extrude an edge, and the tweak its both vertices every time?
Just look at 18:30 sample.
Create a vertex - point to the vertex - tweak a vertex - point to another vertex.
Can you explain what are possible reasons behind so many garbage actions?

Please stop promoting PolyQuilt, it was an interesting concept to play around with, with lots of WOW highlightings and stuff, but in practice, it is less effective in retopology even than regular modeling.

Great, thanks for pointing it out, now it's something to discuss.

  1. - At 6:26, and on other occasions, yes I have selected all four vertices, and pressed F, so what, to this day everyone knows how to use F2 addon, that's why I even forgot to mention it, it's a standard. (18:07, 18:30) You really going to nitpick things like that and tell me that the whole workflow is wrong, because of that? And, yes, I do a lot of garbage movements in that video, this happens when your record stuff as a demo, I'm sorry for not being a robot. Moreover, it was recorded this summer, and I state that video that I didn't even fully got acquainted with PolyQuilts functionality at that time.

For some reason, It doesn't take an eternity to finish my characters. Never in the video I say that tweaking each vertex is the way to go, on the contrary, but I sometimes do tweak stuff, that is the way I work, I really want to see a person working as an algorithm, if you know one show me non-cut video. Moreover, you fidget with vertices in your videos, all humans do that, as far as I know.

Here, my friend is where you ARE Wrong. And, I'm sorry to tell you that. Having only F2 and the basic modeling tools is not enough, I hope we can agree on that. That's why this whole thread has been created, probably? And yes, PolyQuilt is an awesome addon and it doesn't bring just WOW-highlights, it brings basic functionality that is lacking for faster and comfortable character retopology in Blender as of now.

I'm no developer, but I try all retopology options out there and outside of Blender too, but it seems like you have some sort of a personal beef with PolyQuilt, despite it having awesome functions, that are actually present by default in other software packages. I think that tool requires acknowledgment, that's all, nothing more, nothing less.

Hell, if there's a better option available that could be natively integrated into Blender, why not? I'm all in, I have just made suggestions.

For some reason, It doesn't take an eternity to finish my characters.

It is not a problem to retopo a character.
Variable density retopology is a problem.

Having only F2 and the basic modeling tools is not enough.

Any evidence? Timelapses with time stamps? Comparisons?
I guess you didn't even tried to find the most effective way, you just trying to use what is looking cool)
This is the problem with Blender retopology - many people try to put a lot of garbage in Blender, which looks cool at first glance, without any kind of proper testing.

@Paul Kotelevets (1D_Inc) and @Chingiz Jumagulov (Krayzmond) thanks for your input on this, but please leave the discussion at where it is.

There is no one in the core team that can work on this at the moment. Thus unfortunately no one that can handle this kind of user feedback.

When that moment comes be aware that this will be organized in devtalk, not in this platform.

For some reason, It doesn't take an eternity to finish my characters.

It is not a problem to retopo a character.
Variable density retopology is a problem.

Having only F2 and the basic modeling tools is not enough.

Any evidence? Timelapses with time stamps? Comparisons?
I guess you didn't even tried to find the most effective way, you just trying to use what is looking cool)
This is the problem with Blender retopology - many people try to put a lot of garbage in Blender, which looks cool at first glance)

I'm not saying it's a problem, I'm saying it's not comfortable in Blender, and it has a way more backwarded workflow than currently present in other software packages, IMO. I used just f2 and basic modeling tools for other characters previously. And the notion that creating only variable density retopo is the main problem is not fully correct, it's like trying to shed light on part of the problem.

You don't have to make a thorough comparative study to notice that proper mesh smoothing tools to create equalized mesh density are sorely missing in default Blender during the retopo process with default addons. Especially after trying something like Topogun or Maya for character retopo with default Blender workflow feels a bit dated and a lot of my fellow character artists noticed that instantly. If devs want to have a robust and diverse toolset they should pay attention to that.

Also, your last statement kinda speaks volumes, It's more like you're confined in your workflow for the purposes of your industry and also perceive yourself as a king of retopology, you can keep the crown, nobody needs it anyway. Perception is that everybody else's feedback in this thread is inferior to yours that I have noticed during your communication with other users and assumption that everyone is a noob and haven't tried different tools and doesn't come from different backgrounds and have different needs and only tries "what looks cool" is kinda destructive, but hey, do your thing.

Also it's clear that you don't like new things in Blender, then why bother anyways, maybe keep using 2.79 then with f2, it's a perfect version, am I right?

@Paul Kotelevets (1D_Inc) and @Chingiz Jumagulov (Krayzmond) thanks for your input on this, but please leave the discussion at where it is.

There is no one in the core team that can work on this at the moment.

No problem.

@Paul Kotelevets (1D_Inc) and @Chingiz Jumagulov (Krayzmond) thanks for your input on this, but please leave the discussion at where it is.

There is no one in the core team that can work on this at the moment. Thus unfortunately no one that can handle this kind of user feedback.

When that moment comes be aware that this will be organized in devtalk, not in this platform.

Sorry, I didn't see your comment. I will refrain from commenting further.

PolyQuilt is a great tool with the latest features.

Why not use the face sets or something to speed up retopology, basically the poly-group retopology in Zbrush? Is this even possible?

This comment was removed by Rosario Rosato (R2792).

@Jon Denning (gfxcoder) starts to work on Retopo Tools in January. More details and information where to follow the progress will be shared later.

Sources:
https://devtalk.blender.org/t/10-january-2022/22217
https://twitter.com/RetopoFlow/status/1480693022996111366